Subject: Re: linux-next: manual merge of the arm tree with the arm-current tree

From: Uwe Kleine-König<[email-masked]>
Date: Tue, 12 Oct 2010 11:23:57 +0200

Hi Russell,

On Tue, Oct 12, 2010 at 09:28:14AM +0100, Russell King wrote:
> On Tue, Oct 12, 2010 at 10:03:54AM +0200, Uwe Kleine-König wrote:
> > On Tue, Oct 12, 2010 at 10:33:14AM +1100, Stephen Rothwell wrote:
> > > Hi Russell,
> > > 
> > > Today's linux-next merge of the arm tree got a conflict in
> > > arch/arm/mach-imx/mach-cpuimx27.c between commit
> > > 4793ca4028e4dcdbf2740db50995c9378ded3cf8 ("cpuimx27: fix i2c bus
> > > selection") from the arm-current tree and commit
> > > 77a406da5a5b76445a816d5f043fc9aef4026ff1 ("ARM: imx: fix name of macros
> > > to add imx-i2c devices") from the arm tree.
> A more concerning question is - these recent conflicts have been happening
> as a result of merging people's GIT trees, which tend to be sent close
> to the merge window.
> 
> If the first time their changes become visible to linux-next is when
> they're merged into my tree, something is wrong...
I tried to reconstruct that.  I guess I cannot see yet that Russell took
4793ca4028e4dcdbf2740db50995c9378ded3cf8 because I have no access to
Russell's kernel.org repo and his ftp.arm.linux.org.uk repo currently
barfs for me and Stephen didn't push out a tree newer than 20101011 yet.

4793ca4028e4dc is a regression fix that should go into .36, so this is
OK, isn't it.  77a406da5a5b76445a816d5f043fc9aef4026ff1 is already some
time in Sascha's tree, and so in next.  But 4793ca4028e4dc is new and
only these two together conflict.

Stephen, note that Sascha fixed the same conflict already in his tree.

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |